Package org.eclipse.graphiti.mm.pictograms

# Interface BoxRelativeAnchor

All Superinterfaces:
  `AdvancedAnchor`, `Anchor`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Implementing Classes:
  `BoxRelativeAnchorImpl`

public interface BoxRelativeAnchor extends AdvancedAnchor
A representation of the model object 'Box Relative Anchor'.

The following features are supported:

- `Relative Width`
- `Relative Height`

See Also:
  - `PictogramsPackage.getBoxRelativeAnchor()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getRelativeHeight()`
Returns the value of the 'Relative Height' attribute.
`double`
`getRelativeWidth()`
Returns the value of the 'Relative Width' attribute.
`void`
`setRelativeHeight(double value)`
Sets the value of the '`Relative Height`' attribute.
`void`
`setRelativeWidth(double value)`
Sets the value of the '`Relative Width`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AdvancedAnchor

`isUseAnchorLocationAsConnectionEndpoint, setUseAnchorLocationAsConnectionEndpoint`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Anchor

`getIncomingConnections, getOutgoingConnections, getParent, getReferencedGraphicsAlgorithm, setParent, setReferencedGraphicsAlgorithm`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### getRelativeWidth

double getRelativeWidth()
Returns the value of the 'Relative Width' attribute.

If the meaning of the 'Relative Width' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Relative Width' attribute.
See Also:
  - `setRelativeWidth(double)`
  - `PictogramsPackage.getBoxRelativeAnchor_RelativeWidth()`

### setRelativeWidth

void setRelativeWidth(double value)
Sets the value of the '`Relative Width`' attribute.

Parameters:
  `value` - the new value of the 'Relative Width' attribute.
See Also:
  - `getRelativeWidth()`

### getRelativeHeight

double getRelativeHeight()
Returns the value of the 'Relative Height' attribute.

If the meaning of the 'Relative Height' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Relative Height' attribute.
See Also:
  - `setRelativeHeight(double)`
  - `PictogramsPackage.getBoxRelativeAnchor_RelativeHeight()`

### setRelativeHeight

void setRelativeHeight(double value)
Sets the value of the '`Relative Height`' attribute.

Parameters:
  `value` - the new value of the 'Relative Height' attribute.
See Also:
  - `getRelativeHeight()`